﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ASPItalia.Apps4Windows.WinRT.Model;
using Windows.ApplicationModel;
using Windows.Data.Xml.Dom;
using Windows.Storage;

namespace ASPItalia.Apps4Windows.WinRT.Services
{
    public class LocalFeedLoader : FeedLoader
    {
        private string fileName;

        public LocalFeedLoader(string fileName, IconTypeEnum iconType, bool displayImages = true)
        {
            this.fileName = fileName;
            this.IconType = iconType;
            this.DisplayImages = displayImages;
        }

        public async override Task<IEnumerable<FeedItem>> LoadItemsAsync()
        {
			// ENG: get the file reference from the app folder
			// ITA: ottengo il riferimento al file dalla cartella dell'app
            StorageFolder folder = await Package.Current.InstalledLocation.GetFolderAsync("Resources");
            StorageFile file = await folder.GetFileAsync(this.fileName);

			// ENG: transform the XML in a feed
			// ITA: Trasformo l'XML nel feed
            XmlDocument doc = await XmlDocument.LoadFromFileAsync(file);
            return LoadFromXML(doc);
        }
    }
}
