﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using ASPItalia.Apps4Windows.WinRT.Services;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using ASPItalia.Apps4Windows.WinRT.Resources;

namespace ASPItalia.Apps4Windows.WinRT.Pages
{
    public sealed partial class OptionsPane : UserControl
    {
        public OptionsPane()
        {
            this.InitializeComponent();

            SettingsManager settingsManager = ServiceLocator.Settings;

			// ENG: get the radio button corresponding to our font size
            // ITA: Cerco il RadioButton relativo alla dimensione del testo
            foreach (RadioButton rb in sizeButtons.Children.OfType<RadioButton>())
            {
                if (rb.FontSize == settingsManager.TextSize)
                    rb.IsChecked = true;
            }

			FontSize.Text = StringDictionary.FontSize;
			RoamingSettings.Text = StringDictionary.RoamingSettings;
        }

        private void SetFontSize(object sender, RoutedEventArgs e)
        {
			// ENG: save the value
            // ITA: Salviamo il valore
            double s = ((RadioButton)sender).FontSize;
            ServiceLocator.Settings.TextSize = s;
        }
    }
}
